#
# spec file for package perl-Pod-Elemental
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Pod-Elemental
Name:           perl-Pod-Elemental
Version:        0.103006
Release:        bp155.1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Work with nestable Pod elements
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Load)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Mixin::Linewise::Readers)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role) >= 0.90
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(Pod::Eventual::Simple) >= 0.004
BuildRequires:  perl(String::RewritePrefix)
BuildRequires:  perl(String::Truncate)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Sub::Exporter::ForMethods)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(Class::Load)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Mixin::Linewise::Readers)
Requires:       perl(Moose)
Requires:       perl(Moose::Role) >= 0.90
Requires:       perl(MooseX::Types)
Requires:       perl(MooseX::Types::Moose)
Requires:       perl(Pod::Eventual::Simple) >= 0.004
Requires:       perl(String::RewritePrefix)
Requires:       perl(String::Truncate)
Requires:       perl(Sub::Exporter)
Requires:       perl(Sub::Exporter::ForMethods)
Requires:       perl(namespace::autoclean)
%{perl_requires}

%description
Pod::Elemental is a system for treating a Pod (plain old
documentation|perlpod) documents as trees of elements. This model may be
familiar from many other document systems, especially the HTML DOM.
Pod::Elemental's document object model is much less sophisticated than the
HTML DOM, but still makes a lot of document transformations easy.

In general, you'll want to read in a Pod document and then perform a number
of prepackaged transformations on it. The most common of these will be the
Pod5 transformation|Pod::Elemental::Transformer::Pod5, which assumes that
the basic meaning of Pod commands described in the Perl 5 documentation
hold: '=begin', '=end', and '=for' commands mark regions of the document,
leading whitespace marks a verbatim paragraph, and so on. The Pod5
transformer also eliminates the need to track elements representing
vertical whitespace.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Jan  1 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.103006
  see /usr/share/doc/packages/perl-Pod-Elemental/Changes
  0.103006  2022-12-31 16:28:06-05:00 America/New_York
  - update packaging and metadata
  - minimum required Perl is now v5.12
* Sun Jan 26 2020 <timueller+perl@suse.de>
- updated to 0.103005
  see /usr/share/doc/packages/perl-Pod-Elemental/Changes
  0.103005  2020-01-25 15:53:25-05:00 America/New_York
  - fix a typo in documentation (thanks, BooK!)
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.103004
  see /usr/share/doc/packages/perl-Pod-Elemental/Changes
  0.103004  2014-12-26 22:31:16-05:00 America/New_York
  - fix a regression in 0.103003, in which Nonpod paragraphs were not
    converted into Pod5::Nonpod paragraphs by the Pod5 transformer
  0.103003  2014-12-23 21:11:26-05:00 America/New_York
  - remove use of Moose::Autobox
  0.103002  2014-10-27 21:12:54-04:00 America/New_York
  - make classes immutable to improve runtime speed
  0.103001  2014-05-20 20:45:43-04:00 America/New_York
  - load Class::Load, which older Moose does not automatically load
  0.103000  2014-01-12 09:03:06-05:00 America/New_York
    Pod::Elemental::Document only adds leading =pod or trailing =cut if
    they are not already present
  0.102364  2013-11-28 07:27:08 America/New_York
    stop using deprecated Class::MOP::load_class
  0.102363  2013-10-09 17:15:13 America/New_York
    update bugtracker and repo metadata
  0.102362  2012-05-04 22:42:29 America/New_York
    do not fail to nestify elements at the end of a sequence just because
    they couldn't get any new children; it can break things down the
    line; q.v., [rt.cpan.org #69189]
  0.102361  2011-08-05 10:32:02 America/New_York
    the Pod5 transformer no longer loses vertical whitespace after Data
    paragraphs
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.102361
  see /usr/share/doc/packages/perl-Pod-Elemental/Changes
  0.102361  2011-08-05 10:32:02 America/New_York
    the Pod5 transformer no longer loses vertical whitespace after Data
    paragraphs
* Fri Jan 21 2011 coolo@novell.com
- initial package 0.102360
  * created by cpanspec 1.78.03
